Subject: bug#47424: 28.0.50; enable-theme shows an empty list

From: Stefan Monnier <[email-masked]>
Date: Fri, 26 Mar 2021 21:57:31 -0400

> According to the documentation, `enable-theme' enables variable and face
> settings of already loaded themes, so I think it makes sense that it
> doesn't offer completions in emacs -Q, because there is no loaded theme
> yet.
>
> Perhaps you wanted to do M-x load-theme, which should properly complete
> with themes from etc/themes, among other directories?

I know it works as documented, but I don't think it's the behavior we
really want.  We should autoload themes, just like we autoload pretty
much everything else.

        Stefan